mysqld start

The above command fails.
Code:
[Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).

 Warning Setting lower_case_table_names=2 because file system for /usr/local/var/mysql/ is case insensitive
 [Note] Plugin 'FEDERATED' is disabled.
 Table 'mysql.plugin' doesn't exist
ERROR Can't open the mysql.plugin table. Please run mysql_upgrade to create it.
Looking at the error I executed the mysql_upgrade command, but even that fails on my mac os, with the following message. Any help really appreciated.
Code:
mysql_upgrade: the '--basedir' option is always ignored
Looking for 'mysql' as: mysql
FATAL ERROR: Can't execute 'mysql'